Skip to main content
O&M Management/Monitoring APIs/Monitoring and Alarm APIs/Event
GETEventSince 3.9.0SynchronousAuth Required

Get All Event Metadata

Get All Event Metadata

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • nameString

    The event name.

  • namespaceString

    The event namespace.

  • systemTagsList

    System tags.

  • userTagsList

    User tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation failed. This field is null when the operation succeeds. See error for details.

    • codeStringRequired

      The error code number. A globally unique identifier for the error, e.g., SYS.1000, HOST.1001.

    • descriptionStringRequired

      A brief description of the error.

    • detailsStringRequired

      The detailed error information.

    • elaborationStringRequired

      A reserved field. Default is null.

    • opaqueLinkedHashMapRequired

      A reserved field. Default is null.

    • causeErrorCodeRequired

      The root error. The source error that caused the current error. This field is null if there is no root cause.

  • eventsListRequired

    See events for details.

    • namespaceStringRequired

      The namespace.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The description.

    • labelNamesListRequired

      The label names.

Endpoint

GET/zstack/v1/zwatch/events/meta-data

/zstack/v1/zwatch/events/meta-data

Operation ID

GetAllEventMetadata

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/zwatch/events/meta-data?name=<name>&namespace=<namespace>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "events": [ { "namespace": "ZStack/VM", "name": "org.zstack.zwatch.datatype.EventFamily@631b5229", "description": "VMHAProcess", "labelNames": [ "HAProcess", "HADetails" ] } ] }

Change History

This API has no change history records yet.

View all change history